import 'package:fcs/domain/entities/invoice.dart';
import 'package:fcs/domain/entities/payment.dart';

abstract class InvoiceService {
  Future<void> createInvoice(Invoice invoice);
  Future<void> updateInvoice(Invoice invoice);
  Future<void> cancelInvoice(Invoice invoice);
  Future<void> pay(Payment payment);
  Future<void> updatPaymentStatus(Payment payment);
}
